Subject: Re: [PATCH net-next RFC v2] Add NDOs for hardware timestamp get/set

From: Jakub Kicinski <[email-masked]>
Date: Tue, 4 Apr 2023 16:25:51 -0700

On Tue, 4 Apr 2023 15:30:15 +0300 Vladimir Oltean wrote:
> On Mon, Apr 03, 2023 at 09:42:09AM -0600, Max Georgiev wrote:
> > The conversions are going to be easy (that was the point of adding these NDO
> > functions). But there is still a problem of validating these
> > conversions with testing.
> > Unfortunately I don't have an e1000 card available to validate this conversion.
> > I'll let you and Jakub decide what will be the best strategy here.  
> 
> If you can convert one of the drivers under drivers/net/ethernet/freescale/
> with the exception of fec_main.c, or net/dsa/ + drivers/net/dsa/sja1105/
> or drivers/net/dsa/mv88e6xxx/, then I can help with testing.
> 
> By the way, after inspecting the kernel code a bit more, it also looks
> like we need to convert vlan_dev_ioctl() and bond_eth_ioctl() to
> something compatible with lower interfaces using the new and the old
> API, before converting any driver. Otherwise we'll need to do that later
> anyway, when regression reports start coming in. So these 2 are
> non-optional whatever you do.

Alternatively we could have them call back to the core helper
to descend to a lower device. Stuff ifr into struct
kernel_hwtstamp_config for now in case lower is not converted.